VBISource (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Class VBISource

- java.lang.Object
- - tv.amwa.maj.io.mxf.EssenceSource
  - - tv.amwa.maj.io.mxf.VBISource

-     public class VBISource
      extends EssenceSource

  VBI data for a frame, supplied as an essence source.

  See Also:
    `VBILine`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VBISource(EssenceSource master)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLine(int field, int lineNumber, VBIWrappingType wrappingType, VBISampleCoding sampleCoding, short sampleCount, ByteBuffer lineData)`
    `void` | `addLine(int lineNumber, VBIWrappingType wrappingType, VBISampleCoding sampleCoding, short sampleCount, ByteBuffer lineData)`
    `boolean` | `endOfData()`
    `boolean` | `endOfItem()`
    `int` | `getBERSize()`
    `long` | `getCurrentPosition()`
    `RationalImpl` | `getEditRate()`
    `ByteBuffer` | `getEssenceData(int size, int maxSize)`
    `int` | `getEssenceDataSize()`
    `byte` | `getGenericContainerElementType()`
    `byte` | `getGenericContainerEssenceType()`
    `boolean` | `isCompoundEssence()`
    `boolean` | `isDataEssence()`
    `boolean` | `isPictureEssence()`
    `boolean` | `isSoundEssence()`
    `int` | `relativeWriteOrder()`
    `int` | `relativeWriteOrderType()`

    - ### Methods inherited from class tv.amwa.maj.io.mxf.EssenceSource

      `canIndex, getBytesPerEditUnit, getBytesPerEditUnit, getEssenceData, getIndexStreamID, getKey, getNonGenericContainer, getPrechargeSize, getRangeDuration, getRangeEnd, getRangeStart, getStreamID, isEditPoint, setKey, setOption, setOption, setStreamID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VBISource

          public VBISource(EssenceSource master)

  - ### Method Detail

    - #### addLine

          public void addLine(int lineNumber,
                              VBIWrappingType wrappingType,
                              VBISampleCoding sampleCoding,
                              @UInt16
                              short sampleCount,
                              ByteBuffer lineData)

    - #### addLine

          public void addLine(int field,
                              int lineNumber,
                              VBIWrappingType wrappingType,
                              VBISampleCoding sampleCoding,
                              @UInt16
                              short sampleCount,
                              ByteBuffer lineData)

    - #### getEssenceDataSize

          public int getEssenceDataSize()

      Specified by:
        `getEssenceDataSize` in class `EssenceSource`

    - #### getEssenceData

          public ByteBuffer getEssenceData(int size,
                                           int maxSize)

      Specified by:
        `getEssenceData` in class `EssenceSource`

    - #### endOfItem

          public boolean endOfItem()

      Specified by:
        `endOfItem` in class `EssenceSource`

    - #### endOfData

          public boolean endOfData()

      Specified by:
        `endOfData` in class `EssenceSource`

    - #### getGenericContainerEssenceType

          @UInt8
          public byte getGenericContainerEssenceType()

      Specified by:
        `getGenericContainerEssenceType` in class `EssenceSource`

    - #### getGenericContainerElementType

          @UInt8
          public byte getGenericContainerElementType()

      Specified by:
        `getGenericContainerElementType` in class `EssenceSource`

    - #### getEditRate

          public RationalImpl getEditRate()

      Specified by:
        `getEditRate` in class `EssenceSource`

    - #### getCurrentPosition

          @MXFPosition
          public long getCurrentPosition()

      Specified by:
        `getCurrentPosition` in class `EssenceSource`

    - #### getBERSize

          public int getBERSize()

      Overrides:
        `getBERSize` in class `EssenceSource`

    - #### isPictureEssence

          public boolean isPictureEssence()

      Overrides:
        `isPictureEssence` in class `EssenceSource`

    - #### isSoundEssence

          public boolean isSoundEssence()

      Overrides:
        `isSoundEssence` in class `EssenceSource`

    - #### isDataEssence

          public boolean isDataEssence()

      Overrides:
        `isDataEssence` in class `EssenceSource`

    - #### isCompoundEssence

          public boolean isCompoundEssence()

      Overrides:
        `isCompoundEssence` in class `EssenceSource`

    - #### relativeWriteOrder

          @Int32
          public int relativeWriteOrder()

      Overrides:
        `relativeWriteOrder` in class `EssenceSource`

    - #### relativeWriteOrderType

          public int relativeWriteOrderType()

      Overrides:
        `relativeWriteOrderType` in class `EssenceSource`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.